PATCH
https://api.usenotra.com
/
v1
/
posts
/
{postId}
Update a single post
curl --request PATCH \
--url https://api.usenotra.com/v1/posts/{postId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "Ship notes for week 11",
"slug": "ship-notes-week-11",
"markdown": "# Ship notes\n\nWe shipped a faster editor.",
"status": "published"
}
'import requests
url = "https://api.usenotra.com/v1/posts/{postId}"
payload = {
"title": "Ship notes for week 11",
"slug": "ship-notes-week-11",
"markdown": "# Ship notes
We shipped a faster editor.",
"status": "published"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'Ship notes for week 11',
slug: 'ship-notes-week-11',
markdown: '# Ship notes\n\nWe shipped a faster editor.',
status: 'published'
})
};
fetch('https://api.usenotra.com/v1/posts/{postId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"organization": {
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"logo": "<string>"
},
"post": {
"id": "<string>",
"title": "<string>",
"slug": "<string>",
"content": "<string>",
"htmlUrl": "<string>",
"markdown": "<string>",
"rawHtml": "<string>",
"recommendations": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"sourceMetadata": "<unknown>"
}
}{
"error": "<string>",
"code": "<string>",
"recovery": "<string>"
}{
"error": "<string>",
"code": "<string>",
"recovery": "<string>"
}{
"error": "<string>",
"code": "<string>",
"recovery": "<string>"
}{
"error": "<string>",
"code": "<string>",
"recovery": "<string>"
}{
"error": "<string>",
"code": "<string>",
"recovery": "<string>"
}{
"error": "<string>",
"limit": 2,
"remaining": 1,
"reset": 123
}{
"error": "<string>",
"code": "<string>",
"recovery": "<string>"
}Authorizations
Send your API key in the Authorization header as Bearer API_KEY.
Path Parameters
Minimum string length:
1Pattern:
^[A-Za-z0-9_-]{1,100}$Example:
"post_123"
Body
application/json
Required string length:
1 - 120Example:
"Ship notes for week 11"
Required string length:
1 - 160Pattern:
^[a-z0-9]+(?:-[a-z0-9]+)*$Example:
"ship-notes-week-11"
Required string length:
1 - 100000Example:
"# Ship notes\n\nWe shipped a faster editor."
Available options:
draft, published Example:
"published"
Last modified on July 17, 2026
Was this page helpful?
⌘I
Update a single post
